<ion-header>
  <ion-toolbar>
    <ion-buttons slot="start">
      <ion-back-button slot="start"></ion-back-button>
    </ion-buttons>

    <ion-title>Create Category</ion-title>

  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row>
    <ion-col size-md=6 offset-md=3>
      <ion-card>
        <ion-card-header>
          <ion-card-title>
            Create category
          </ion-card-title>
        </ion-card-header>
        <ion-card-content>
          <ion-item>
            <ion-label position="floating">
              Category name
            </ion-label>
            <ion-input #nameInput type=text inputmode="text" placeholder="Type here...">
            </ion-input>
          </ion-item>
          <ion-item>
            <app-color-picker #colorInput>

            </app-color-picker>
          </ion-item>
          <ion-item lines=none>
            <ion-label>
              Parent category:
            </ion-label>
          </ion-item>
          <ion-item class="category_selector">
            <app-category-selection #categorySelection></app-category-selection>
          </ion-item>

          <ion-item lines=none>

            <ion-button size=default slot="end" (click)="create();">Create category</ion-button>
          </ion-item>
        </ion-card-content>
      </ion-card>
    </ion-col>
  </ion-row>
</ion-content>
